/*
:root {
    color-scheme: dark;
    --color-background: #1c1b1f;
    --color-on-background: white;
    --color-background-hover: #27262c;
    --color-on-background-hover: white;
    --color-primary: #5d5e5e;
    --color-primary-disabled: #1f213c;
    --color-on-primary: white;
    --color-error: #de0000;
    --color-on-error: white;
}
:root {
    color-scheme: dark;
    --color-background: #1c1b1f;
    --color-on-background: white;
    --color-background-hover: #27262c;
    --color-on-background-hover: white;
    --color-primary: #0a2472;
    /* old color is #932888
    --color-primary-disabled: #051650;
    /* old color is #3a1f3c
    --color-on-primary: white;
    --color-error: #de0000;
    --color-on-error: white;
}

.dark.root {
    --color-background: white;
    --color-on-background: black;
    --color-background-hover: #eee;
    --color-on-background-hover: black;
    --color-primary: #1900ff;
    /* old color is #ff00ff
    --color-primary-disabled: #5131c7;
    /* old color #c031c7
    --color-on-primary: white;
    --color-error: #de0000;
    --color-on-error: white;
} */

:root {
    color-scheme: dark;
    --color-background: #1c1b1f;
    --color-on-background: white;
    --color-background-hover: #27262c;
    --color-on-background-hover: white;
    --color-primary: #660aef;
    /* old color is #932888 */
    --color-primary-disabled: #4807aa;
    /* old color is #3a1f3c */
    --color-on-primary: white;
    --color-error: #de0000;
    --color-on-error: white;
}

.dark.root {
    --color-background: white;
    --color-on-background: black;
    --color-background-hover: #eee;
    --color-on-background-hover: black;
    --color-primary: #3e00f9;
    /* old color is #ff00ff */
    --color-primary-disabled: #2c00b2;
    /* old color #c031c7 */
    --color-on-primary: white;
    --color-error: #de0000;
    --color-on-error: white;
}



html,
body,
.root {
    height: 100%;
}

.root {
    display: flex;
    flex-direction: column;
    margin: 0;
    background-color: var(--color-background);
    color: var(--color-on-background);
}

.surface {
    background-color: var(--color-background);
    color: var(--color-on-background);
}

header,
main {
    display: grid;
    grid-template-columns: minmax(16rem, 1.15fr) minmax(16rem, 1.9fr) minmax(16em, 0.95fr);
    column-gap: 2rem;
}

header.surface {
    padding: 0;
    display: flex;
    padding-inline: 2rem;
    height: 4.5rem;
    background: linear-gradient(135deg, var(--color-primary) 0%, color-mix(in srgb, var(--color-primary) 65%, white) 100%);
    color: var(--color-on-primary);
}
@media screen and (min-width: 1366px) {
    header {
        display: grid;
        padding-inline: 0;
    }
}
header .logo {
    justify-self: end;
    align-self: center;
    display: flex;
    align-items: flex-end;
    gap: 1rem;
}
header .logo img {
    height: 3.5rem;
}
header .nav {
    flex: 1;
}

main {
    height: 0;
    flex: 1;
    display: grid;
    grid-template-rows: minmax(0, 1fr);
    column-gap: 2rem;
}
main > div {
    overflow-y: auto;
}

.spinner {
    display: flex;
    align-items: center;
    justify-content: center;
    grid-column: span 3;
}

input[type="checkbox"] {
    height: 1.25rem;
    width: 1.25rem;
    cursor: pointer;
    margin: 0;
}

.worldrecord {
    margin-bottom: 1rem;
}

.best-record .type-body,
.best-run .type-body {
    margin-bottom: 1rem;
}

/* Shitty - is not used */

.shitty .surface {
    padding: 1.5rem;
    border: 2px solid var(--color-on-background);;
}

.shitty header.surface {
    padding: 0 calc(25vw - 10rem);
    margin-bottom: 1.5rem;
    background-color: var(--color-background);
    color: var(--color-on-background);
}

.shitty.root {
    padding: 1.5rem;
    background-image: url("/assets/april-background.jpg");
    background-size: cover;
}

.shitty main {
    column-gap: 1.5rem;
}

.toggle-shitty:not(:hover) img {
    display: none;
}

header.new {
    padding: 0;
    display: flex;
    padding-inline: 2rem;
    height: 3.5rem;
    background-color: var(--color-on-background);
    color: var(--color-background);
}
